Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHConnectChannel

    java.lang.Object
      java.lang.Thread
          com.mindbright.ssh.SSHChannel
              com.mindbright.ssh.SSHTxChannel
                  com.mindbright.ssh.SSHConnectChannel

All Implemented Interfaces:
  java.lang.Runnable

public class SSHConnectChannel
extends SSHTxChannel

Field Summary

Fields inherited from class com.mindbright.ssh.SSHTxChannel
`out, queue`

Fields inherited from class com.mindbright.ssh.SSHChannel
`channelId, listener`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SSHConnectChannel(SSHChannelController controller)`

Method Summary
`void` | `addHostMapPermanent(java.lang.String fromHost, java.lang.String toHost, int toPort)`
`void` | `addHostMapTemporary(java.lang.String fromHost, java.lang.String toHost, int toPort)`
`void` | `delHostMap(java.lang.String fromHost)`
`java.util.Vector` | `getHostMap(java.lang.String fromHost)`
`void` | `serviceLoop()`

Methods inherited from class com.mindbright.ssh.SSHTxChannel
`getQueue, isClosePending, setClosePending`

Methods inherited from class com.mindbright.ssh.SSHChannel
`close, getChannelId, run, setSSHChannelListener`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSHConnectChannel

    public SSHConnectChannel(SSHChannelController controller)

Method Detail

### addHostMapPermanent

    public void addHostMapPermanent(java.lang.String fromHost,
                                    java.lang.String toHost,
                                    int toPort)

### addHostMapTemporary

    public void addHostMapTemporary(java.lang.String fromHost,
                                    java.lang.String toHost,
                                    int toPort)

### delHostMap

    public void delHostMap(java.lang.String fromHost)

### getHostMap

    public java.util.Vector getHostMap(java.lang.String fromHost)

### serviceLoop

    public void serviceLoop()
                     throws java.lang.Exception

  Overrides:
    `serviceLoop` in class `SSHTxChannel`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD